org.apache.axiom.om.util

## Class XMLStreamWriterRemoveIllegalChars

- java.lang.Object
- - org.apache.axiom.om.util.XMLStreamWriterFilterBase
  - - org.apache.axiom.om.util.XMLStreamWriterRemoveIllegalChars

- All Implemented Interfaces:
    javax.xml.stream.XMLStreamWriter, XMLStreamWriterFilter

      public class XMLStreamWriterRemoveIllegalChars
      extends XMLStreamWriterFilterBase

  This is an XMLStreamWriterFilter that removes illegal characters. Valid and invalid character ranges are defined by: http://www.w3.org/TR/2008/REC-xml-20081126/#NT-Char

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLStreamWriterRemoveIllegalChars()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `xmlData(String value)` Derived classes extend the method.

    - ### Methods inherited from class org.apache.axiom.om.util.XMLStreamWriterFilterBase

      `close, flush, getDelegate, getNamespaceContext, getPrefix, getProperty, setDefaultNamespace, setDelegate, setNamespaceContext, setPrefix, writeAttribute, writeAttribute, writeAttribute, writeCData, writeCharacters, writeCharacters, writeComment, writeDefaultNamespace, writeDTD, writeEmptyElement, writeEmptyElement, writeEmptyElement, writeEndDocument, writeEndElement, writeEntityRef, writeNamespace, writeProcessingInstruction, writeProcessingInstruction, writeStartDocument, writeStartDocument, writeStartDocument, writeStartElement, writeStartElement, writeStartElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLStreamWriterRemoveIllegalChars

          public XMLStreamWriterRemoveIllegalChars()

  - ### Method Detail

    - #### xmlData

          protected String xmlData(String value)

      Description copied from class: `XMLStreamWriterFilterBase`
      Derived classes extend the method. A derived class may log or modify the xml data
      Specified by:
        `xmlData` in class `XMLStreamWriterFilterBase`
      Returns:
        value

Copyright © The Apache Software Foundation. All Rights Reserved.